# plMapcalc

**fast and efficient standalone raster map calculator**

plMapcalc is a standalone raster map calculator. 
It works under Windows (7, 8.1, 10, 11) and Linux (Fedora). 
The application depends on GDAL. So, it is necessary to 
install GDAL before plMapcalc installation. Windows version of 
plMapcalc is provided with an installation program. Windows 
plMapcalc setup will install all needed dependencies. plMapcals 
uses argtable v.3 and Tiny C Compiler (TCC) v.0.9.3 libraries 
for argument parsing and macro on-the-fly compilation, respectively.

plMapcalc’s user defines macros and scripts to perform calculations 
on raster layers. These macros should be written using C language 
syntax. It is possible to define simple operations such as 
adding two raster layers or NDVI calculation. User can also define 
complex scripts to perform more advanced raster analysis (for example: 
calculation of Koeppen-Geiger climate classification or histogram equalization).

plMapcalc features:

- up to 256 input layers;
- up to 64 output layers;
- C language syntax;
- local auxiliary variables;
- global memory buffer;
- command line macros and files with scripts;
- BEGIN, CELL, and END scripts;
- multiple input data scanning;
- parallel tasks for I/O nad calculation operations (Linux only);
- mathematical functions.

plMapcalc limitations:

- input layers are treated as double floating point layers;
- pixel-to-pixel analysis only, no neighborhood operators;
- forcing the same projection, resolution and extent of all input layers;
- output files are GeoTIFFs only;
- GDAL dependency.

plMapcalc is a free and open source software. It is released under GNU GPL v.3 license.